Add dolphin 512MB device to config.sh

RESOLVED FIXED in 2.2 S4 (23jan)

Status

defect
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: seinlin, Assigned: seinlin)

Tracking

unspecified
2.2 S4 (23jan)
x86_64
Linux
Dependency tree / graph

Firefox Tracking Flags

(blocking-b2g:2.2+, b2g-v2.1S fixed, b2g-v2.2 fixed, b2g-master fixed)

Details

Attachments

(3 attachments)

(Assignee)

Description

4 years ago
Dolphin device with 512MB memory use different hardware components. Need to add a specific device config for it.
(Assignee)

Updated

4 years ago
Assignee: nobody → kli
(Assignee)

Updated

4 years ago
Blocks: 1107747
(Assignee)

Updated

4 years ago
Blocks: 1120950
(Assignee)

Comment 1

4 years ago
Michael, Dolphin with 512MB Ram need to use different DEVICE and PRODUCT_NAME and it can use the same manifest as Dolphin with 256MB Ram. Could you review this patch? Thanks!
Attachment #8548211 - Flags: review?(mwu)
(Assignee)

Updated

4 years ago
No longer blocks: 1120950
Depends on: 1120950
(Assignee)

Comment 2

4 years ago
Michael, I think create a symbolic as how emulator does should be ok. Could you review this patch? Thanks!
Attachment #8548223 - Flags: review?(mwu)
(Assignee)

Updated

4 years ago
blocking-b2g: --- → 2.1S?

Updated

4 years ago
Attachment #8548211 - Flags: review?(mwu) → review+

Updated

4 years ago
Attachment #8548223 - Flags: review?(mwu) → review+
(Assignee)

Comment 6

4 years ago
May be we'd like to add dolphin-512 device manifest into v2.2.
blocking-b2g: 2.1S? → 2.2?
Hi Steven,
Since it's possible to have 2.2S in the future. Can you triage whether this should be landed on 2.2? Thanks!
Flags: needinfo?(styang)
We'll also need the Dolphin build with 2.2 to track some issues such as performance. I'll give a plus to it.
blocking-b2g: 2.2? → 2.2+
Flags: needinfo?(styang)
Please request b2g37 approval on this when you get a chance.

Also, from the sounds of it, we're going to want Dolphin-512 builds running on v2.2 as well? At that point, we should almost certainly be running them on master as well.
Flags: needinfo?(kli)
Target Milestone: --- → 2.2 S4 (23jan)
(Assignee)

Comment 10

4 years ago
Now only dolphin is running on master, and I don't think we should also have dolphin-512 on master because monitoring the status on master with dolphin could be enough.

Dolphin-512 is running on v2.1s only. We can have Dolphin-512 manifest on v2.2, but we don't need to get Dolphin-512 builds on v2.2 at this moment.
Flags: needinfo?(kli)
You need to log in before you can comment on or make changes to this bug.